Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://quizquail.com/api/v1/youtube/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quizId": "<string>",
"renderJobId": "<string>",
"channelId": "<string>",
"metadata": {
"title": "<string>",
"description": "",
"tags": [],
"categoryId": "27",
"visibility": "unlisted",
"madeForKids": false,
"scheduledFor": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://quizquail.com/api/v1/youtube/uploads"
payload = {
"quizId": "<string>",
"renderJobId": "<string>",
"channelId": "<string>",
"metadata": {
"title": "<string>",
"description": "",
"tags": [],
"categoryId": "27",
"visibility": "unlisted",
"madeForKids": False,
"scheduledFor": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quizId: '<string>',
renderJobId: '<string>',
channelId: '<string>',
metadata: {
title: '<string>',
description: '',
tags: [],
categoryId: '27',
visibility: 'unlisted',
madeForKids: false,
scheduledFor: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://quizquail.com/api/v1/youtube/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"progress": 123,
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"category_id": "<string>",
"made_for_kids": true,
"youtube_video_id": "<string>",
"youtube_video_url": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"scheduled_for": "2023-11-07T05:31:56Z",
"retry_count": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"quiz_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"render_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"youtube_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"type": "https://quizquail.com/problems/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request validation failed",
"instance": "<string>",
"errors": [
{
"field": "title",
"message": "Title is required",
"code": "too_small"
}
]
}{
"type": "https://quizquail.com/problems/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request validation failed",
"instance": "<string>",
"errors": [
{
"field": "title",
"message": "Title is required",
"code": "too_small"
}
]
}{
"type": "https://quizquail.com/problems/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request validation failed",
"instance": "<string>",
"errors": [
{
"field": "title",
"message": "Title is required",
"code": "too_small"
}
]
}Upload a rendered quiz video to YouTube. Requires a completed render job and connected YouTube channel. Returns 202 Accepted.
API key authentication. Prefix your key with Bearer in the Authorization header.
Keys follow the format qq_... and can be scoped to specific permissions.
Upload job accepted
Show child attributes
Was this page helpful?